Bug 9643 - sysklogd-1.3.31 and "no such PID" error
sysklogd-1.3.31 and "no such PID" error
Product: Red Hat Linux
Classification: Retired
Component: sysklogd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2000-02-21 08:58 EST by Alec Voropay
Modified: 2014-03-16 22:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-27 16:52:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alec Voropay 2000-02-21 08:58:40 EST
After sysklogd upgrading I have error message on sysklogd stop :
[root@on ~]# /etc/rc.d/init.d/syslog stop
Shutting down kernel logger: klogd
kill: (1191) - No such pid

Shutting down system logger: syslogd
[root@on ~]#

The small research shows /etc/rc.d/init.d/functions :
# TERM first, then KILL if not dead
kill -TERM $pid
usleep 100000
if ps h $pid >/dev/null 2>&1 ; then
    sleep 3
    kill -KILL $pid
The new "sysklogd-1.3.31-1.5" (from updates) dies VERY slow
on SIGTERM >100000 and second KILL can't find this PID.

Old "sysklogd-1.3-26" was OK.
Comment 1 Bill Nottingham 2000-08-07 22:36:42 EDT
In testing here, we cannot reproduce this. Sorry.

Note You need to log in before you can comment on or make changes to this bug.